Skip to main content
No Result Found
Get your setup working faster. Join our Discord for optimisation tips from elite testers. Join our DiscordJoin our Discord

Upload XCUITest apps for Apple TV via App Automate API

Upload an app from your filesystem or a public URL and get an app URL to use when you start a build.

To test your tvOS app on Apple TV devices using XCUITest, you first need to upload your app (.ipa file) to BrowserStack servers. Use this REST API endpoint to upload your app.

Upload an app

POST /app-automate/xcuitest/v2/app

Upload the tvOS app under test for XCUITest testing. The supported file is .ipa. You can upload an app from your filesystem using the file parameter, or from a publicly accessible URL using the url parameter.

Request parameters

Request

curl -u "YOUR_USERNAME:YOUR_ACCESS_KEY" \
-X POST "https://api-cloud.browserstack.com/app-automate/xcuitest/v2/app" \
-F "file=@/path/to/app/file/YourTVApp.ipa" \
-F "custom_id=SampleTVApp"
  • file File

    File to upload. Ensure that the request’s content type is set to multipart/form-data. In cURL, you can do this using -F option. Either file or url parameter is required.

  • url String

    Remote URL to your app. Ensure that it’s a publicly accessible URL as BrowserStack will attempt to download the app from this location. Either file or url parameter is required.

  • custom_id String

    Custom ID for the app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100. Refer to our custom ID documentation to know more.

Response attributes 200 OK application/json

Response

{
    "app_url": "bs://<hashed_app_id>",
    "custom_id": "SampleTVApp"
}
  • app_name String

    Filename of the uploaded app.

  • app_url String

    Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test for your XCUI test execution.
    Example: bs://c8ddcb5649a8280ca800075bfd8f151115bba6b3

  • app_version String

    Version of the uploaded app.

  • app_id String

    Unique identifier returned upon successful upload of your app on BrowserStack.
    Example: c8ddcb5649a8280ca800075bfd8f151115bba6b3

  • uploaded_at String

    App upload timestamp.

  • custom_id String

    Custom ID defined for the uploaded app.
    Example: SampleApp. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.

  • expiry String

    By default, an uploaded app expires in 30 days. Upon expiry, the uploaded app is deleted from BrowserStack servers and thus can no longer be tested.

We're sorry to hear that. Please share your feedback so we can do better

Contact our Support team for immediate help while we work on improving our docs.

We're continuously improving our docs. We'd love to know what you liked





Thank you for your valuable feedback

Download Copy Check Circle